<?php

namespace ByDedi\AdminBundle\Admin;

use ByDedi\AdminBundle\Admin\BaseAdmin;
use ByDedi\AdminBundle\Entity\Shop;
use Sonata\AdminBundle\Datagrid\DatagridMapper;
use Sonata\AdminBundle\Datagrid\ListMapper;
use Sonata\AdminBundle\Form\FormMapper;
use Sonata\AdminBundle\Route\RouteCollection;
use Symfony\Component\Form\Extension\Core\Type\CountryType;
use Symfony\Component\Form\Extension\Core\Type\FileType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;

class EntityAuditAdmin extends BaseAdmin
{
    protected $baseRoutePattern = 'entity-audit';
    protected $baseRouteName = 'entity-audit';
    /**
     * {@inheritdoc}
     */
    protected function configureListFields(ListMapper $listMapper)
    {
        $listMapper
            ->add('revtype', null, ['label' => 'Action']);
    }


    /**
     * {@inheritdoc}
     */
    protected function configureDatagridFilters(DatagridMapper $datagridMapper)
    {
    }


    /**
     * {@inheritdoc}
     */
    protected function configureFormFields(FormMapper $formMapper)
    {
        $formMapper
            ->tab('Informations principales')
            ->with('Identification', [])
            ->add('revtype', null, ['label' => 'Action'])
            ->end()
            ->end();
    }


    /**
     * {@inheritdoc}
     */
    public function toString($object)
    {
        return $object instanceof Shop
            ? $object->getRevisionType()
            : "Shop"; // shown in the breadcrumb on the create view
    }
}
